Name:		magic
Version:	8.1.211
Release:	1%{?dist}
Summary:	A very capable VLSI layout tool

License:	MIT
Group:	Applications/Engineering
URL:		http://opencircuitdesign.com/%{name}/index.html

Source:	http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:	%{name}-verbose.patch
Patch1:	%{name}-7.4.35-64bit.patch
Patch2:	%{name}-8.0.174-format-string.patch
# Perhaps the following change is wrong... must report to the upstream
Patch3:	%{name}-8.1.203-DRCArrayCheck.patch

BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	libGLw-devel
BuildRequires:	libXext-devel
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	tk-devel
BuildRequires:	m4
BuildRequires:	desktop-file-utils

BuildRequires:	blt
BuildRequires:	tcsh

Requires:	tcsh
# Special FEL Gnome/KDE menu structure
Requires:	electronics-menu

%description
Magic is a venerable VLSI layout tool. Magic VLSI remains
popular with universities and small companies.

Magic is widely cited as being the easiest tool to use for
circuit layout, even for people who ultimately rely on commercial
tools for their product design flow.

%package doc
Summary:	Documentation for magic, A very capable VLSI layout tool
Group:	Documentation
Requires:	%{name} = %{version}-%{release}


%description doc
This package contains the documentation of magic in the postscript
and some tutorials.


%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0
cd %{name}-%{version}

rm -rf readline

sed -i.cflags -e 's|CFLAGS=.*CFLAGS|:|' configure

sed -i.nocpp \
	scripts/configure.in scripts/configure \
	-e 's|-lstdc++||' \
	%{nil}

sed -i "s|/usr/local/bin/tclsh|%{_bindir}/tclsh|" tcltk/strip_reflibs.tcl
sed -i "s|package require -exact|package require|" tcltk/tkcon.tcl

%patch0 -p0 -b .verbose
%patch2 -p1 -b .format

%if x%{?__isa_bits} == x64
%patch1 -p0 -b .64bit
%endif

%patch3 -p1 -b .arg -R

# FIXME
# Must report the upstream
%global __global_cflags_orig %__global_cflags
%global __global_cflags %__global_cflags_orig -Wno-error=implicit-function-declaration -Wno-error=implicit-int

%build

export WISH=%{_bindir}/wish

cd %{name}-%{version}

%configure \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-tcllibs=%{_libdir} \
	--with-tklibs=%{_libdir} \
	%{nil}

#%make %%{?_smp_mflags}
# Parallel make _silently_ fails
make -j1

%install
cd %{name}-%{version}
make install \
	DESTDIR=%{buildroot} \
	INSTALL="%{__install} -c -p" \
	CP="%{__cp} -p"

desktop-file-install \
	--vendor "" \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{SOURCE1}

# applying timestamps
cp -pr \
	README* \
	TODO \
	VERSION \
	scmos/ \
	..

cp -pr %{buildroot}%{_libdir}/%{name}/{doc/,tutorial} ..
rm -rf %{buildroot}%{_libdir}/%{name}/{doc/,tutorial}

rm -f doc/html/Makefile

chmod -x %{buildroot}%{_libdir}/%{name}/tcl/console.tcl

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install -cpm 0644 %{SOURCE2} \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

# Remove manpage currently unused for TCL building
# to avoid file conflict (bug 1330507)
rm -f %{buildroot}%{_mandir}/man1/extcheck.1*


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :


%files
%doc	README*
%doc	TODO
%doc	VERSION
%{_bindir}/%{name}
%{_bindir}/ext2sim
%{_bindir}/ext2spice

%dir	%{_libdir}/%{name}/
%dir	%{_libdir}/%{name}/tcl/
%{_libdir}/%{name}/sys/
%{_libdir}/%{name}/tcl/bitmaps/
%{_libdir}/%{name}/tcl/*tcl
%{_libdir}/%{name}/tcl/*.so
%{_libdir}/%{name}/tcl/magicdnull
%{_libdir}/%{name}/tcl/magicexec

%{_mandir}/man?/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%files doc
%doc	doc/
%doc	tutorial/
%doc	scmos/

%changelog
* Sun Apr 29 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.211-1
- 8.1.211

* Mon Apr 16 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.207-1
- 8.1.207

* Fri Apr  6 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.206-1
- 8.1.206

* Thu Apr  5 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.205-1
- 8.1.205

* Tue Mar 27 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.203-1
- 8.1.203

* Wed Mar  7 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.200-1
- 8.1.200

* Mon Feb  5 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.199-1
- 8.1.199

* Wed Nov  1 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.191-1
- 8.1.191

* Wed Oct 18 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.190-1
- 8.1.190

* Tue Oct 10 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.188-1
- 8.1.188

* Thu Sep 28 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.186-1
- 8.1.186

* Mon Jul 31 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.183-1
- 8.1.183

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.180-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 25 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.180-1
- 8.1.180

* Tue Jul  4 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.175-1
- 8.1.175

* Fri Jun 23 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.172-1
- 8.1.172

* Fri Jun 16 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.170-1
- 8.1.170

* Fri Jun 02 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.168-1
- 8.1.168

* Mon May 15 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.166-1
- 8.1.166

* Fri Apr 14 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.158-1
- 8.1.158

* Mon Mar 13 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.157-1
- 8.1.157

* Mon Feb 27 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.153-1
- 8.1.153

* Thu Feb 16 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.149-1
- 8.1.149

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.142-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb  2 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.142-1
- 8.1.142

* Sun Jan 15 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.135-1
- 8.1.135

* Thu Jan  5 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.134-1
- 8.1.134

* Sun Jan  1 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.132-1
- 8.1.132

* Sat Dec 31 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.130-1
- 8.1.130

* Mon Dec 26 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.127-1
- 8.1.127

* Fri Dec  2 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.119-1
- 8.1.119

* Tue Nov 29 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.118-1
- 8.1.118

* Sun Nov 20 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.114-1
- 8.1.114

* Fri Nov 11 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.113-1
- 8.1.113

* Mon Oct 24 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.111-1
- 8.1.111

* Mon Oct 24 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.110-1
- 8.1.110

* Fri Oct 14 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.108-1
- 8.1.108

* Sun Sep 25 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.107-1
- 8.1.107

* Fri Jul 29 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.106-1
- 8.1.106

* Sat Jun 25 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.1.104-1
- 8.1.104

* Wed May  4 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.0.210-3
- Remove manpage currently unused for TCL building
  to avoid file conflict (bug 1330507)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.210-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.0.210-1
- 8.0.210
- Remove unneeded lines from patches
- Correct license

* Fri Oct  9 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 8.0.174-4
- Fix isa_bits conditional
- Patch for -Werror=format-security
- Build with -j1, parallel build currently fails

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.174-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.174-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul  8 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8.0.174-1
- 8.0.174 
- Generic 64bit platform detection

* Wed Jun 18 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 8.0.60-9
- Fix FTBFS with -Werror=format-security (#1037190, #1106151)
- Apply 64bit patch on aarch64
- Cleanup spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.60-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 8.0.60-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Wed Jul 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 8.0.60-6
- Drop unneeded %%install doc dir creation.

* Tue Mar 16 2010 Thibault North <tnorth [AT] fedoraproject DOT org> - 8.0.60-1
- new upstream release with minor fixes

* Fri Aug 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 8.0.54-1
- new upstream release

* Wed Jan 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.169-1
- new upstream release
